import { List } from './List';
export declare class Entry<K, V> {
    private k;
    private v;
    constructor(t: [K, V]);
    getKey(): K;
    getValue(): V;
}
export interface Map<K, V> extends Object {
    size(): number;
    isEmpty(): boolean;
    containsKey(key: K): boolean;
    containsValue(value: V): boolean;
    get(key: K): V;
    put(key: K, value: V): V;
    remove(key: K, testValue?: V): V;
    putAll(m: Map<K, V>): any;
    removeAll(l: Entry<K, V>[]): any;
    clear(): any;
    keySet(): List<K>;
    values(): List<V>;
    entrySet(): List<Entry<K, V>>;
    getOrDefault(key: K, defaultValue: V): V;
    forEach(action: Function): any;
}
